org.apache.hadoop.yarn.api.records.impl.pb

## Class NMTokenPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.NMToken
  - - org.apache.hadoop.yarn.api.records.impl.pb.NMTokenPBImpl

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class NMTokenPBImpl
      extends org.apache.hadoop.yarn.api.records.NMToken

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NMTokenPBImpl()`
    `NMTokenPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.NMTokenProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.yarn.api.records.NodeId` | `getNodeId()`
    `org.apache.hadoop.yarn.proto.YarnServiceProtos.NMTokenProto` | `getProto()`
    `org.apache.hadoop.yarn.api.records.Token` | `getToken()`
    `void` | `setNodeId(org.apache.hadoop.yarn.api.records.NodeId nodeId)`
    `void` | `setToken(org.apache.hadoop.yarn.api.records.Token token)`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.records.NMToken

      `equals, hashCode, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NMTokenPBImpl

          public NMTokenPBImpl()

    - #### NMTokenPBImpl

          public NMTokenPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.NMTokenProto proto)

  - ### Method Detail

    - #### getNodeId

          public org.apache.hadoop.yarn.api.records.NodeId getNodeId()

      Specified by:
        `getNodeId` in class `org.apache.hadoop.yarn.api.records.NMToken`

    - #### setNodeId

          public void setNodeId(org.apache.hadoop.yarn.api.records.NodeId nodeId)

      Specified by:
        `setNodeId` in class `org.apache.hadoop.yarn.api.records.NMToken`

    - #### getToken

          public org.apache.hadoop.yarn.api.records.Token getToken()

      Specified by:
        `getToken` in class `org.apache.hadoop.yarn.api.records.NMToken`

    - #### setToken

          public void setToken(org.apache.hadoop.yarn.api.records.Token token)

      Specified by:
        `setToken` in class `org.apache.hadoop.yarn.api.records.NMToken`

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnServiceProtos.NMTokenProto getProto()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.